Subject: Re: [PATCH] doc: clarify how -S works

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Mar 2009 10:24:28 -0800

John Tapsell <[email-masked]> writes:

> 2009/3/3 Jeff King <[email-masked]>:
>> On Tue, Mar 03, 2009 at 08:42:12AM -0800, Junio C Hamano wrote:
>>
>>> In retrospect, because --pickaxe was designed primarily for Porcelain use,
>>> it was a mistake for it to have taken a short-and-sweet -S synonym.
>>
>> Hmm. I actually like the pickaxe behavior and find it useful for
>> searching. IOW, I consider it a porcelain feature, just perhaps not the
>> one that some people are expecting.
>>
>>> >  -S<string>::
>>> > -   Look for differences that contain the change in <string>.
>>> > +   Look for differences that introduce or remove an instance of
>>> > +   <string>. Note that this is different than the string simply
>>> > +   appearing in diff output; see the 'pickaxe' entry in
>>> > +   linkgit:gitdiffcore[7] for more details.
>>>
>>> Look for differences that change the number of occurrences of <string>?
>>
>> Yes, that is technically correct. I was trying to find a wording that
>> was a little less "this is literally what it does" and more "this is
>> what you might find it useful for".
>
> Is there any way to have an option to also match any line containing
> the string?

Patches welcome. I've already outlined what you need to do.

I think it can be called -G (short for --grep-diff), if --search cannot be
used because "-s" is unavailable.